Index: main/waeup.imostate/trunk/layout/theme.html
===================================================================
--- main/waeup.imostate/trunk/layout/theme.html	(revision 11748)
+++ main/waeup.imostate/trunk/layout/theme.html	(revision 11749)
@@ -19,4 +19,5 @@
     <link href="static/css/base.css" rel="stylesheet">
     <link href="static_custom/custom.css" rel="stylesheet">
+    <link href="static/css/file-upload.css" rel="stylesheet">
 
     <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
@@ -27,5 +28,5 @@
     <![endif]-->
 
-    <script src="static/js/kofa-recaptcha_white.js"></script>
+    <script src="static/js/kofa-functions.js"></script>
 
     <!-- icons -->
@@ -272,5 +273,39 @@
                      title="This is a tooltip">Sample Tooltip
                 </div>
+
                 <br><br>
+
+                <h3>File Upload</h3>
+                <br>
+                <a href="#">Birth Certificate Scan</a>
+                <input type="submit"
+                       value="Delete file"
+                       class="btn btn-danger" />
+                <div class="btn btn-default btn-file">
+                  Select new file&hellip;
+                  <input type="file"/>
+                </div>
+                <input type="submit"
+                       value="Upload selected file"
+                       class="btn btn-primary" />
+                (10 kB max.)
+                <br><br>
+
+        				<div class="input-group">
+        					<div class="input-group-btn">
+        						<div class="btn btn-default btn-file">
+                      Select new file&hellip;
+                      <input type="file">
+                    </div>
+        					</div>
+        					<input type="text" class="form-control" readonly>
+                  <div class="input-group-btn">
+                    <input type="submit"
+                           value="Upload selected file"
+                           class="btn btn-primary" />
+                    (10 kB max.)
+                  </div>
+                </div>
+
 
               </div><!-- /tab-content -->
@@ -301,22 +336,4 @@
             <div>...content that spans the whole page.</div>
             <br><br>
-            <div id="#sampleform">
-              <form method="post">
-                <fieldset id="form-fieldset">
-                  <legend>A Sample Form</legend>
-                  <div class="form-group variable-form">
-                    <label>Some Label</label>
-                    <input type="text" class="textType"
-                           name="myinput[]" placeholder="A name..." />
-                  </div>
-                  <button type="submit" class="btn rowadd btn-default">
-                    Add row
-                  </button>
-                  <br />
-                  <button type="submit" class="btn btn-primary">Save</button>
-                </fieldset>
-              </form>
-            </div> <!-- /sampleform -->
-            <br><br>
             <h3>A Sample Data Table</h3>
             <div class="table-responsive">
@@ -339,7 +356,7 @@
                       <form method="post">
                         <input type="hidden" name="userid" value="admin" />
-                        <input class="btn btn-sm btn-primary" type="submit"
+                        <input class="btn btn-primary btn-sm" type="submit"
                                name="manage" value="Manage" />
-                        <input class="btn btn-sm btn-default" type="submit"
+                        <input class="btn btn-default btn-sm" type="submit"
                                name="delete" value="Remove" />
                       </form>
@@ -507,5 +524,8 @@
         <p class="credit muted text-right">
           Kofa - Student Management System<br />
-          Copyright &copy; WAeUP Group 2014
+          Copyright &copy; WAeUP Group
+          <script type="text/javascript">
+          renderCurrentYear();
+          </script>
         </p>
       </div>
@@ -514,8 +534,8 @@
     <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
     <script src="static/bootstrap/js/bootstrap.min.js"></script>
-    <script src="static/js/kofa-button-rowadd.js"></script>
-    <script src="static/js/kofa-toggleall.js"></script>
     <script src="static/js/kofa-scroll.js"></script>
     <script src="static/js/kofa-activate-tab.js"></script>
+    <script src="static/js/kofa-scrollto.js"></script>
+    <script src="static/js/file-upload.js"></script>
     <script class="kofa-script-tooltip"
         src="static/js/kofa-tooltip.js">
@@ -533,5 +553,4 @@
         src="static/js/kofa-datepicker.js">
     </script>
-
   </body>
 </html>