Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py	(revision 11757)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py	(revision 11758)
@@ -113,4 +113,9 @@
         required = True,
         )
+    pgd_transcript_local_fee = schema.Float(
+        title = _(u'PGD Transcript (local) Fee'),
+        default = 0.0,
+        required = True,
+        )
     transcript_foreign_fee = schema.Float(
         title = _(u'ND Transcript (foreign) Fee'),
@@ -123,4 +128,9 @@
         required = True,
         )
+    pdg_transcript_foreign_fee = schema.Float(
+        title = _(u'PGD Transcript (foreign) Fee'),
+        default = 0.0,
+        required = True,
+        )
     ver_result_fee = schema.Float(
         title = _(u'Verification of Result Fee'),
@@ -213,4 +223,15 @@
         required = True,
         )
+    log_book_fees = schema.Float(
+        title = _(u'Log Book Fees'),
+        default = 0.0,
+        required = True,
+        )
+    jamb_regularization = schema.Float(
+        title = _(u'Jamb Regularization'),
+        default = 0.0,
+        required = True,
+        )
+
 
     def getSessionString():
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11757)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11758)
@@ -180,4 +180,16 @@
         elif self.context.p_category == 'pgd_certificate':
             self.pay_item_id = '136'
+        elif self.context.p_category == 'log_book_fees':
+            self.pay_item_id = '137'
+            xmldict['institution_acct'] = "1010508401"
+            xmldict['institution_bank_id'] = '117'
+        elif self.context.p_category == 'pgd_transcript_foreign':
+            self.pay_item_id = '138'
+        elif self.context.p_category == 'pgd_transcript_local':
+            self.pay_item_id = '139'
+        elif self.context.p_category == 'jamb_regularization':
+            self.pay_item_id = '140'
+            xmldict['institution_acct'] = "0838798020"
+            xmldict['institution_bank_id'] = '76'
         elif 'maintenance' in self.context.p_category:
             self.pay_item_id = '102'
@@ -341,4 +353,16 @@
             elif self.context.p_category == 'pgd_certificate':
                 self.pay_item_id = '136'
+            elif self.context.p_category == 'log_book_fees':
+                self.pay_item_id = '137'
+                xmldict['institution_acct'] = "1010508401"
+                xmldict['institution_bank_id'] = '117'
+            elif self.context.p_category == 'pgd_transcript_foreign':
+                self.pay_item_id = '138'
+            elif self.context.p_category == 'pgd_transcript_local':
+                self.pay_item_id = '139'
+            elif self.context.p_category == 'jamb_regularization':
+                self.pay_item_id = '140'
+                xmldict['institution_acct'] = "0838798020"
+                xmldict['institution_bank_id'] = '76'
             else:
                 xmldict['institution_acct'] = '00000000000'
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 11757)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 11758)
@@ -66,6 +66,8 @@
         'transcript_local': 'ND Transcript (local)',
         'hnd_transcript_local': 'HND Transcript (local)',
+        'pgd_transcript_local': 'PGD Transcript (local)',
         'transcript_foreign': 'ND Transcript (foreign)',
         'hnd_transcript_foreign': 'HND Transcript (foreign)',
+        'pgd_transcript_foreign': 'PGD Transcript (foreign)',
         'ver_result': 'Verification of Result',
         'change_course': 'Change of Course',
@@ -84,4 +86,6 @@
         'hnd_conv_brochure': 'HND Convocation Brochure',
         'pgd_conv_brochure': 'PGD Convocation Brochure',
+        'log_book_fees': 'Log Book Fees',
+        'jamb_regularization': 'Jamb Regularization',
         }
 
@@ -100,6 +104,8 @@
         'transcript_local': 'ND Transcript (local)',
         'hnd_transcript_local': 'HND Transcript (local)',
+        'pgd_transcript_local': 'PGD Transcript (local)',
         'transcript_foreign': 'ND Transcript (foreign)',
         'hnd_transcript_foreign': 'HND Transcript (foreign)',
+        'pgd_transcript_foreign': 'PGD Transcript (foreign)',
         'ver_result': 'Verification of Result',
         'change_course': 'Change of Course',
@@ -118,4 +124,6 @@
         'hnd_conv_brochure': 'HND Convocation Brochure',
         'pgd_conv_brochure': 'PGD Convocation Brochure',
+        'log_book_fees': 'Log Book Fees',
+        'jamb_regularization': 'Jamb Regularization',
         }
 
@@ -141,6 +149,8 @@
         'transcript_local': 'ND Transcript (local)',
         'hnd_transcript_local': 'HND Transcript (local)',
+        'pgd_transcript_local': 'PGD Transcript (local)',
         'transcript_foreign': 'ND Transcript (foreign)',
         'hnd_transcript_foreign': 'HND Transcript (foreign)',
+        'pgd_transcript_foreign': 'PGD Transcript (foreign)',
         'ver_result': 'Verification of Result Payment',
         'change_course': 'Change of Course Payment',
@@ -159,3 +169,5 @@
         'hnd_conv_brochure': 'HND Convocation Brochure',
         'pgd_conv_brochure': 'PGD Convocation Brochure',
+        'log_book_fees': 'Log Book Fees',
+        'jamb_regularization': 'Jamb Regularization',
         }