Index: main/waeup.kwarapoly/trunk/CHANGES.txt
===================================================================
--- main/waeup.kwarapoly/trunk/CHANGES.txt	(revision 11766)
+++ main/waeup.kwarapoly/trunk/CHANGES.txt	(revision 11768)
@@ -4,4 +4,7 @@
 1.2dev (unreleased)
 ===================
+
+* If the total amount (amount authorized) is less than 2000 Nairas
+  gateway_amt is 1.5% of the amount authorized.
 
 * Adjust provider_amt and gateway_amt and dalash_amt for log_book 
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11766)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11768)
@@ -142,10 +142,12 @@
             dalash_amt = 6.0
             provider_amt = 9.0
-            gateway_amt = 15.0
+            #gateway_amt = 15.0
+            gateway_amt = round(0.015 * self.context.amount_auth, 2)
         elif self.context.p_category == 'loss_examcard':
             self.pay_item_id = '123'
             dalash_amt = 3.0
             provider_amt = 4.5
-            gateway_amt = 7.5
+            #gateway_amt = 7.5
+            gateway_amt = round(0.015 * self.context.amount_auth, 2)
         elif self.context.p_category == 'loss_result':
             self.pay_item_id = '124'
@@ -168,5 +170,6 @@
             dalash_amt = 6.0
             provider_amt = 9.0
-            gateway_amt = 15.0
+            #gateway_amt = 15.0
+            gateway_amt = round(0.015 * self.context.amount_auth, 2)
         elif self.context.p_category == 'hnd_conv_brochure':
             self.pay_item_id = '133'
@@ -181,5 +184,6 @@
             dalash_amt = 3.0
             provider_amt = 4.5
-            gateway_amt = 7.5
+            #gateway_amt = 7.5
+            gateway_amt = round(0.015 * self.context.amount_auth, 2)
             xmldict['institution_acct'] = "1010508401"
             xmldict['institution_bank_id'] = '117'
@@ -315,10 +319,12 @@
                 dalash_amt = 6.0
                 provider_amt = 9.0
-                gateway_amt = 15.0
+                #gateway_amt = 15.0
+                gateway_amt = round(0.015 * self.context.amount_auth, 2)
             elif self.applicant.special_application == 'loss_examcard':
                 self.pay_item_id = '123'
                 dalash_amt = 3.0
                 provider_amt = 4.5
-                gateway_amt = 7.5
+                #gateway_amt = 7.5
+                gateway_amt = round(0.015 * self.context.amount_auth, 2)
             elif self.applicant.special_application == 'loss_result':
                 self.pay_item_id = '124'
@@ -341,5 +347,6 @@
                 dalash_amt = 6.0
                 provider_amt = 9.0
-                gateway_amt = 15.0
+                #gateway_amt = 15.0
+                gateway_amt = round(0.015 * self.context.amount_auth, 2)
             elif self.context.p_category == 'hnd_conv_brochure':
                 self.pay_item_id = '133'
@@ -354,5 +361,6 @@
                 dalash_amt = 3.0
                 provider_amt = 4.5
-                gateway_amt = 7.5
+                #gateway_amt = 7.5
+                gateway_amt = round(0.015 * self.context.amount_auth, 2)
                 xmldict['institution_acct'] = "1010508401"
                 xmldict['institution_bank_id'] = '117'
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11766)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11768)
@@ -303,5 +303,5 @@
         self.assertEqual(self.student['payments'][value].thirdparty_amt, 200.0)
 
-        self.app['configuration']['2004'].loss_idcard_fee = 1000.0
+        self.app['configuration']['2004'].loss_idcard_fee = 1015.0
         self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(name="form.p_category").value = ['loss_idcard']
@@ -312,10 +312,10 @@
         self.assertMatches('...Amount Authorized...', self.browser.contents)
         self.assertMatches(
-            '...<span>1000.0</span>...', self.browser.contents)
-        self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
-        self.assertEqual(self.student['payments'][value].amount_auth, 1000.0)
+            '...<span>1015.0</span>...', self.browser.contents)
+        self.payment_url = self.browser.url
+        self.browser.getLink("CollegePAY", index=0).click()
+        self.assertEqual(self.student['payments'][value].amount_auth, 1015.0)
         self.assertEqual(self.student['payments'][value].provider_amt, 9.0)
-        self.assertEqual(self.student['payments'][value].gateway_amt, 15.0)
+        self.assertEqual(self.student['payments'][value].gateway_amt, 15.22)
         self.assertEqual(self.student['payments'][value].thirdparty_amt, 6.0)
 
@@ -371,5 +371,5 @@
         self.assertEqual(self.student['payments'][value].thirdparty_amt, 200.0)
 
-        self.app['configuration']['2004'].loss_idcard_fee = 3000.0
+        self.app['configuration']['2004'].loss_idcard_fee = 1900.0
         self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(name="form.p_category").value = ['loss_idcard']
@@ -380,10 +380,10 @@
         self.assertMatches('...Amount Authorized...', self.browser.contents)
         self.assertMatches(
-            '...<span>3000.0</span>...', self.browser.contents)
-        self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
-        self.assertEqual(self.student['payments'][value].amount_auth, 3000.0)
+            '...<span>1900.0</span>...', self.browser.contents)
+        self.payment_url = self.browser.url
+        self.browser.getLink("CollegePAY", index=0).click()
+        self.assertEqual(self.student['payments'][value].amount_auth, 1900.0)
         self.assertEqual(self.student['payments'][value].provider_amt, 9.0)
-        self.assertEqual(self.student['payments'][value].gateway_amt, 15.0)
+        self.assertEqual(self.student['payments'][value].gateway_amt, 28.5)
         self.assertEqual(self.student['payments'][value].thirdparty_amt, 6.0)
 