Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html	(revision 11763)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html	(revision 11777)
@@ -58,5 +58,8 @@
               <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
             </a>
-            <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
+            <h1>
+              <a href="home.html">Nigerian Research and<br/>Education Network
+              <br/><sup><font size="2">RC1011289</font></sup></a>
+            </h1>
           </div>
           <div id="user-options">
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html	(revision 11763)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html	(revision 11777)
@@ -58,5 +58,8 @@
               <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
             </a>
-            <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
+            <h1>
+              <a href="home.html">Nigerian Research and<br/>Education Network
+              <br/><sup><font size="2">RC1011289</font></sup></a>
+            </h1>
           </div>
           <div id="user-options">
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 11763)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 11777)
@@ -58,5 +58,8 @@
               <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
             </a>
-            <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
+            <h1>
+              <a href="home.html">Nigerian Research and<br/>Education Network
+              <br/><sup><font size="2">RC1011289</font></sup></a>
+            </h1>
           </div>
                                         <div class="btn-group pull-right btn-small"
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html	(revision 11763)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html	(revision 11777)
@@ -58,5 +58,8 @@
               <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
             </a>
-            <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
+            <h1>
+              <a href="home.html">Nigerian Research and<br/>Education Network
+              <br/><sup><font size="2">RC1011289</font></sup></a>
+            </h1>
           </div>
           <div class="btn-group pull-right btn-small"
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 11763)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 11777)
@@ -58,5 +58,8 @@
               <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
             </a>
-            <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
+            <h1>
+              <a href="home.html">Nigerian Research and<br/>Education Network
+              <br/><sup><font size="2">RC1011289</font></sup></a>
+            </h1>
           </div>
             <div class="btn-group pull-right btn-small"
@@ -227,5 +230,5 @@
 
   <div class="full-col">
-    <h4 class="title">&raquo; Sponsors</h4>
+    <h4 class="title">&raquo; Partners</h4>
     <div id="partners-tile" class="gradient-radius-module">
     </div>
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html	(revision 11763)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html	(revision 11777)
@@ -58,5 +58,8 @@
               <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
             </a>
-            <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
+            <h1>
+              <a href="home.html">Nigerian Research and<br/>Education Network
+              <br/><sup><font size="2">RC1011289</font></sup></a>
+            </h1>
           </div>
           <div id="user-options">