Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11791)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11793)
@@ -247,13 +247,18 @@
             xmldict['institution_acct'] = '2013910271'
             xmldict['institution_bank_id'] = '8'
-            self.pay_item_id = '104'
-            provider_amt = 0.0
-            dalash_amt = 0.0
+            # Until 14/9/2014 we have not sent split amount data for pre applications.
+            # To compenstate the loss we temporarily double the split amounts.
+            # See ticket 75.
+            provider_amt = 600.0
+            dalash_amt = 400.0
         elif self.applicant.applicant_id.startswith('pre'):
             # changed for prejambites from FBN '2013910271' to GTBank '0106259811'
             xmldict['institution_acct'] = '0106259811'
             xmldict['institution_bank_id'] = '10'
-            provider_amt = 0.0
-            dalash_amt = 0.0
+            # Until 14/9/2014 we have not sent split amount data for pre applications.
+            # To compenstate the loss we temporarily double the split amounts.
+            # See ticket 75.
+            provider_amt = 600.0
+            dalash_amt = 400.0
         elif self.applicant.applicant_id.startswith('special'):
             if self.context.p_category in SPECIAL_PAYMENT_PARAMS.keys():
@@ -287,17 +292,9 @@
         # Interswitch amount is not part of the xml data
 
-        if not self.applicant.applicant_id.startswith('pre'):
-            xmltext = """<payment_item_detail>
+        xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="%(institution_name)s">
 <item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
 <item_detail item_id="2" item_name="Dalash" item_amt="%(dalash_amt)d" bank_id="117" acct_num="1013196791" />
 <item_detail item_id="3" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
-</item_details>
-</payment_item_detail>""" % xmldict
-
-        else:
-            xmltext = """<payment_item_detail>
-<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s">
-<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
 </item_details>
 </payment_item_detail>""" % xmldict
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11791)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11793)
@@ -563,9 +563,18 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application Fee" '
-            'item_amt="303300" bank_id="10" acct_num="0106259811" />'
-            in self.browser.contents)
-        # No 'commission', no provider fee
-        self.assertFalse('Dalash' in self.browser.contents)
-        self.assertFalse('BT Education' in self.browser.contents)
+            'item_amt="203300" bank_id="10" acct_num="0106259811" />'
+            in self.browser.contents)
+        # No 'commission', no provider fee in 2013
+        #self.assertFalse('Dalash' in self.browser.contents)
+        #self.assertFalse('BT Education' in self.browser.contents)
+        # Comission is charged from 14/09/2014
+        self.assertTrue(
+            '<item_detail item_id="2" item_name="Dalash" item_amt="40000" '
+            'bank_id="117" acct_num="1013196791" />'
+            in self.browser.contents)
+        self.assertTrue(
+            '<item_detail item_id="3" item_name="BT Education" '
+            'item_amt="60000" bank_id="117" acct_num="1010764827" />'
+            in self.browser.contents)
 
         # prejambites fee goes to another account
@@ -578,9 +587,18 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application Fee" '
-            'item_amt="303300" bank_id="8" acct_num="2013910271" />'
-            in self.browser.contents)
-        # No 'commission', no provider fee
-        self.assertFalse('Dalash' in self.browser.contents)
-        self.assertFalse('BT Education' in self.browser.contents)
+            'item_amt="203300" bank_id="8" acct_num="2013910271" />'
+            in self.browser.contents)
+        # No 'commission', no provider fee in 2013
+        #self.assertFalse('Dalash' in self.browser.contents)
+        #self.assertFalse('BT Education' in self.browser.contents)
+        # Comission is charged from 14/09/2014
+        self.assertTrue(
+            '<item_detail item_id="2" item_name="Dalash" item_amt="40000" '
+            'bank_id="117" acct_num="1013196791" />'
+            in self.browser.contents)
+        self.assertTrue(
+            '<item_detail item_id="3" item_name="BT Education" '
+            'item_amt="60000" bank_id="117" acct_num="1010764827" />'
+            in self.browser.contents)
 
 