Index: main/waeup.kwarapoly/trunk/CHANGES.txt
===================================================================
--- main/waeup.kwarapoly/trunk/CHANGES.txt	(revision 11796)
+++ main/waeup.kwarapoly/trunk/CHANGES.txt	(revision 11797)
@@ -6,6 +6,6 @@
 
 * Until 14/9/2014 we have not sent split amount data for pre applications.
-  To compenstate the loss in 2014 we temporarily double the split amounts
-  See ticket 75.
+  To compenstate the loss in 2014 we temporarily doubled the split amounts
+  until 20/9/2014, see ticket 75.
 
 * Add jamb_age to ICustomUGApplicant.
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11796)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11797)
@@ -249,8 +249,8 @@
             self.pay_item_id = '104'
             # Until 14/9/2014 we have not sent split amount data for pre applications.
-            # To compenstate the loss we temporarily double the split amounts.
-            # See ticket 75.
-            provider_amt = 600.0
-            dalash_amt = 400.0
+            # To compenstate the loss we temporarily doubled the split amounts
+            # until 20/9/2014, see ticket 75.
+            #provider_amt = 600.0
+            #dalash_amt = 400.0
         elif self.applicant.applicant_id.startswith('pre'):
             # changed for prejambites from FBN '2013910271' to GTBank '0106259811'
@@ -258,8 +258,8 @@
             xmldict['institution_bank_id'] = '10'
             # Until 14/9/2014 we have not sent split amount data for pre applications.
-            # To compenstate the loss we temporarily double the split amounts.
-            # See ticket 75.
-            provider_amt = 600.0
-            dalash_amt = 400.0
+            # To compenstate the loss we temporarily doubled the split amounts
+            # until 20/9/2014, see ticket 75.
+            #provider_amt = 600.0
+            #dalash_amt = 400.0
         elif self.applicant.applicant_id.startswith('special'):
             if self.context.p_category in SPECIAL_PAYMENT_PARAMS.keys():
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11796)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11797)
@@ -563,5 +563,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application Fee" '
-            'item_amt="203300" bank_id="10" acct_num="0106259811" />'
+            'item_amt="253300" bank_id="10" acct_num="0106259811" />'
             in self.browser.contents)
         # No 'commission', no provider fee in 2013
@@ -570,10 +570,10 @@
         # Comission is charged from 14/09/2014
         self.assertTrue(
-            '<item_detail item_id="2" item_name="Dalash" item_amt="40000" '
+            '<item_detail item_id="2" item_name="Dalash" item_amt="20000" '
             'bank_id="117" acct_num="1013196791" />'
             in self.browser.contents)
         self.assertTrue(
             '<item_detail item_id="3" item_name="BT Education" '
-            'item_amt="60000" bank_id="117" acct_num="1010764827" />'
+            'item_amt="30000" bank_id="117" acct_num="1010764827" />'
             in self.browser.contents)
 
@@ -587,5 +587,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application Fee" '
-            'item_amt="203300" bank_id="8" acct_num="2013910271" />'
+            'item_amt="253300" bank_id="8" acct_num="2013910271" />'
             in self.browser.contents)
         # No 'commission', no provider fee in 2013
@@ -594,10 +594,10 @@
         # Comission is charged from 14/09/2014
         self.assertTrue(
-            '<item_detail item_id="2" item_name="Dalash" item_amt="40000" '
+            '<item_detail item_id="2" item_name="Dalash" item_amt="20000" '
             'bank_id="117" acct_num="1013196791" />'
             in self.browser.contents)
         self.assertTrue(
             '<item_detail item_id="3" item_name="BT Education" '
-            'item_amt="60000" bank_id="117" acct_num="1010764827" />'
+            'item_amt="30000" bank_id="117" acct_num="1010764827" />'
             in self.browser.contents)
         self.assertTrue(