Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 11812)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 11813)
@@ -81,5 +81,5 @@
             'emp_position,emp_reason,emp_start,employer,employer2,'
             'firstname,history,hq_degree,hq_disc,hq_matric_no,hq_school,'
-            'hq_session,hq_type,jamb_score,jamb_subjects,lastname,lga,'
+            'hq_session,hq_type,jamb_age,jamb_score,jamb_subjects,lastname,lga,'
             'locked,middlename,nationality,notice,nysc_lga,nysc_year,'
             'password,phone,pp_school,presently_inst,reg_number,'
@@ -90,5 +90,5 @@
             'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,'
             '[u\'2012-10-28 21:27:52 WAT - Application initialized by system\']'
-            ',,,,,,,,,Tester,,0,M.,NG,"Some notice\nin lines.",,,'
+            ',,,,,,,,,,Tester,,0,M.,NG,"Some notice\nin lines.",,,'
             'any password,+234-123-12345#,,,123456,,'
             '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,,initialized,,'
@@ -106,5 +106,5 @@
             'emp_reason','emp_start','employer','employer2','firstname','ignore4',
             'hq_degree','hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_score','jamb_subjects','lastname','lga','locked','middlename',
+            'jamb_age','jamb_score','jamb_subjects','lastname','lga','locked','middlename',
             'nationality','notice','nysc_lga',
             'nysc_year','password','phone','pp_school','presently_inst',
@@ -132,5 +132,5 @@
             'emp_reason','emp_start','employer','employer2','firstname','ignore4',
             'hq_degree','hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_score','jamb_subjects','lastname','lga','locked','middlename',
+            'jamb_age','jamb_score','jamb_subjects','lastname','lga','locked','middlename',
             'nationality','notice','nysc_lga',
             'nysc_year','password','phone','pp_school','presently_inst',
Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/tests.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/tests.py	(revision 11812)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/tests.py	(revision 11813)
@@ -80,5 +80,5 @@
         self.assertEqual(self.student.current_mode, 'ug_ft')
         self.assertMatches(
-            '...<input type="hidden" name="amount" value="4000000.0" />...',
+            '...<input type="hidden" name="amount" value="4000000" />...',
             self.browser.contents)
         self.assertMatches(
@@ -206,5 +206,5 @@
                            self.browser.contents)
         self.assertMatches(
-            '...<input type="hidden" name="amount" value="100000.0" />...',
+            '...<input type="hidden" name="amount" value="100000" />...',
             self.browser.contents)
 
Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 11812)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 11813)
@@ -62,9 +62,9 @@
             'suspended,suspended_comment,password,state,history,certcode,is_postgrad,'
             'current_level,current_session\r\nmy adm code,,,,'
-            '"[(\'visual_art\', \'A1\')]",0,my clr code,1981-02-04#,,,'
-            'anna@sample.com,,,,,,,,,,,Anna,,,,,"[(\'visual_art\', \'A1\')]"'
+            '"[(\'printing_craft_practice\', \'A1\')]",0,my clr code,1981-02-04#,,,'
+            'anna@sample.com,,,,,,,,,,,Anna,,,,,"[(\'printing_craft_practice\', \'A1\')]"'
             ',,,,,,,,,,,,,,,,Tester,,,234,M.,NG,,,,,,,,,'
             '"Studentroad 21\nLagos 123456\n",,+234-123-12345#,123,,,,,'
-            '"[(\'visual_art\', \'A1\')]",,f,A111111,0,,,created,'
+            '"[(\'printing_craft_practice\', \'A1\')]",,f,A111111,0,,,created,'
             '[u\'2012-11-06 13:16:41 WAT - Record created by system\'],'
             'CERT1,0,200,2012\r\n',
@@ -104,6 +104,6 @@
             'r_pay_reference,thirdparty_amt,student_id,state,'
             'current_session\r\n'
-            '666,12.12,2012-04-01 13:12:01,,schoolfee,1,my-id,p-item,'
-            '100,2012,paid,2012-04-01 14:12:01,,12.12,'
+            '666,12.12,2012-04-01 13:12:01#,,schoolfee,1,my-id,p-item,'
+            '100,2012,paid,2012-04-01 14:12:01#,,12.12,'
             '789,r-code,interswatch,,,,A111111,created,2012\r\n',
             result
Index: /main/kofacustom.skeleton/trunk/versions.cfg
===================================================================
--- /main/kofacustom.skeleton/trunk/versions.cfg	(revision 11812)
+++ /main/kofacustom.skeleton/trunk/versions.cfg	(revision 11813)
@@ -150,2 +150,8 @@
 # Added by buildout at 2014-02-21 08:11:47.544699
 zc.zodbrecipes = 2.0.0
+
+# Added by buildout at 2014-09-24 08:03:59.509610
+
+# Required by:
+# waeup.kofa==1.3dev
+psutil = 2.1.2