Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/applicant.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/applicants/applicant.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/applicant.py	(revision 11832)
@@ -22,5 +22,5 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from waeup.kofa.applicants.applicant import Applicant
-from kofacustom.sampleuni.applicants.interfaces import(
+from kofacustom.pcn.applicants.interfaces import(
     ICustomApplicant, ICustomApplicantEdit)
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/batching.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/applicants/batching.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/batching.py	(revision 11832)
@@ -20,5 +20,5 @@
 from waeup.kofa.utils.batching import BatchProcessor
 from waeup.kofa.applicants.batching import ApplicantProcessor
-from kofacustom.sampleuni.applicants.interfaces import ICustomApplicant
+from kofacustom.pcn.applicants.interfaces import ICustomApplicant
 
 class CustomApplicantProcessor(ApplicantProcessor):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/browser.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/applicants/browser.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/browser.py	(revision 11832)
@@ -21,4 +21,4 @@
 from waeup.kofa.applicants.browser import (
     ApplicantRegistrationPage, ApplicantsContainerPage)
-from kofacustom.sampleuni.interfaces import MessageFactory as _
+from kofacustom.pcn.interfaces import MessageFactory as _
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/export.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/applicants/export.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/export.py	(revision 11832)
@@ -21,5 +21,5 @@
 from waeup.kofa.applicants.interfaces import IApplicantBaseData
 from waeup.kofa.applicants.export import ApplicantsExporter
-from kofacustom.sampleuni.applicants.interfaces import ICustomApplicant
+from kofacustom.pcn.applicants.interfaces import ICustomApplicant
 
 class CustomApplicantsExporter(ApplicantsExporter):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/interfaces.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/applicants/interfaces.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/interfaces.py	(revision 11832)
@@ -24,5 +24,5 @@
     IApplicantEdit,
     )
-from kofacustom.sampleuni.interfaces import MessageFactory as _
+from kofacustom.pcn.interfaces import MessageFactory as _
 
 class ICustomApplicant(IApplicantBaseData):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/payment.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/applicants/payment.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/payment.py	(revision 11832)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.payment import ApplicantOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.sampleuni.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.pcn.applicants.interfaces import ICustomApplicantOnlinePayment
 
 class CustomApplicantOnlinePayment(ApplicantOnlinePayment):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/tests/test_applicant.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/applicants/tests/test_applicant.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/tests/test_applicant.py	(revision 11832)
@@ -30,9 +30,9 @@
 from waeup.kofa.interfaces import IFileStoreHandler, IFileStoreNameChooser
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.sampleuni.applicants.applicant import (
+from kofacustom.pcn.applicants.applicant import (
     CustomApplicant, CustomApplicantFactory,
     )
-from kofacustom.sampleuni.applicants.interfaces import ICustomApplicant
-from kofacustom.sampleuni.testing import FunctionalLayer
+from kofacustom.pcn.applicants.interfaces import ICustomApplicant
+from kofacustom.pcn.testing import FunctionalLayer
 
 class CustomApplicantTest(FunctionalTestCase):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/applicants/tests/test_browser.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/tests/test_browser.py	(revision 11832)
@@ -24,11 +24,11 @@
 from zope.catalog.interfaces import ICatalog
 from zope.intid.interfaces import IIntIds
-from kofacustom.sampleuni.testing import FunctionalLayer
+from kofacustom.pcn.testing import FunctionalLayer
 from waeup.kofa.schoolgrades import ResultEntry
 from waeup.kofa.utils.utils import KofaUtils
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
-from kofacustom.sampleuni.applicants.export import CustomApplicantsExporter
-from kofacustom.sampleuni.applicants.batching import CustomApplicantProcessor
+from kofacustom.pcn.applicants.export import CustomApplicantsExporter
+from kofacustom.pcn.applicants.batching import CustomApplicantProcessor
 
 class CustomApplicantUITests(ApplicantsFullSetup):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/utils.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/applicants/utils.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/applicants/utils.py	(revision 11832)
@@ -20,5 +20,5 @@
 
 from waeup.kofa.applicants.utils import ApplicantsUtils
-from kofacustom.sampleuni.interfaces import MessageFactory as _
+from kofacustom.pcn.interfaces import MessageFactory as _
 
 class ApplicantsUtils(ApplicantsUtils):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/pages.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/browser/pages.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/pages.py	(revision 11832)
@@ -21,5 +21,5 @@
     LoginPage, CertificatePage, CertificateManageFormPage)
 from waeup.kofa.university.interfaces import ICertificate
-from kofacustom.sampleuni.interfaces import (
+from kofacustom.pcn.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/tests.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/browser/tests.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/tests.py	(revision 11832)
@@ -22,5 +22,5 @@
 from zope.security.interfaces import Unauthorized
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.sampleuni.testing import FunctionalLayer
+from kofacustom.pcn.testing import FunctionalLayer
 from waeup.kofa.app import University
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/configuration.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/configuration.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/configuration.py	(revision 11832)
@@ -24,5 +24,5 @@
 from waeup.kofa.configuration import (
     SessionConfigurationFactory, SessionConfiguration)
-from kofacustom.sampleuni.interfaces import (
+from kofacustom.pcn.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/configure.zcml
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/configure.zcml	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/configure.zcml	(revision 11832)
@@ -1,5 +1,5 @@
 <configure xmlns="http://namespaces.zope.org/zope"
            xmlns:grok="http://namespaces.zope.org/grok">
-  <include package="kofacustom.sampleuni" file="locales.zcml" />
+  <include package="kofacustom.pcn" file="locales.zcml" />
 
   <include package="waeup.kofa" />
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/ftesting.zcml
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/ftesting.zcml	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/ftesting.zcml	(revision 11832)
@@ -2,10 +2,10 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:kofa="http://namespaces.waeup.org/kofa"
-   i18n_domain="kofacustom.sampleuni"
-   package="kofacustom.sampleuni"
+   i18n_domain="kofacustom.pcn"
+   package="kofacustom.pcn"
    >
 
-  <include package="kofacustom.sampleuni" />
-  <include package="kofacustom.sampleuni" file="mail.zcml"/>
+  <include package="kofacustom.pcn" />
+  <include package="kofacustom.pcn" file="mail.zcml"/>
 
   <!-- Where should the datacenter reside by default? -->
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/interfaces.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/interfaces.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/interfaces.py	(revision 11832)
@@ -23,5 +23,5 @@
     ISessionConfiguration, academic_sessions_vocab)
 
-_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.sampleuni')
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.pcn')
 
 # It's recommended to replicate all fields from the base package here.
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/payments/interfaces.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/payments/interfaces.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/payments/interfaces.py	(revision 11832)
@@ -19,5 +19,5 @@
 from zope import schema
 from waeup.kofa.payments.interfaces import IOnlinePayment
-from kofacustom.sampleuni.interfaces import MessageFactory as _
+from kofacustom.pcn.interfaces import MessageFactory as _
 
 class ICustomOnlinePayment(IOnlinePayment):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/batching.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/batching.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/batching.py	(revision 11832)
@@ -24,5 +24,5 @@
 students, studycourses, payment tickets and accommodation tickets.
 """
-from kofacustom.sampleuni.students.interfaces import (
+from kofacustom.pcn.students.interfaces import (
     ICustomStudent, ICustomStudentUpdateByRegNo,
     ICustomStudentUpdateByMatricNo,
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/browser.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/browser.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/browser.py	(revision 11832)
@@ -32,7 +32,7 @@
 from waeup.kofa.students.interfaces import IStudentsUtils, ICourseTicket
 from waeup.kofa.students.workflow import FORBIDDEN_POSTGRAD_TRANS
-from kofacustom.sampleuni.students.interfaces import (
+from kofacustom.pcn.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel)
-from kofacustom.sampleuni.interfaces import MessageFactory as _
+from kofacustom.pcn.interfaces import MessageFactory as _
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/export.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/export.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/export.py	(revision 11832)
@@ -18,5 +18,5 @@
 """Exporters for student related stuff.
 """
-from kofacustom.sampleuni.students.interfaces import (
+from kofacustom.pcn.students.interfaces import (
     ICustomStudent,
     ICustomStudentStudyCourse,
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/interfaces.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/interfaces.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/interfaces.py	(revision 11832)
@@ -24,6 +24,6 @@
     IStudentUpdateByRegNo, IStudentUpdateByMatricNo,
     )
-from kofacustom.sampleuni.payments.interfaces import ICustomOnlinePayment
-from kofacustom.sampleuni.interfaces import MessageFactory as _
+from kofacustom.pcn.payments.interfaces import ICustomOnlinePayment
+from kofacustom.pcn.interfaces import MessageFactory as _
 
 class ICustomStudentBase(IStudentBase):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/payments.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/payments.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/payments.py	(revision 11832)
@@ -26,5 +26,5 @@
     StudentOnlinePayment, StudentOnlinePaymentFactory)
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.sampleuni.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.pcn.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(StudentOnlinePayment):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/student.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/student.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/student.py	(revision 11832)
@@ -26,5 +26,5 @@
 from waeup.kofa.utils.helpers import get_current_principal
 from waeup.kofa.students.student import Student
-from kofacustom.sampleuni.students.interfaces import ICustomStudent
+from kofacustom.pcn.students.interfaces import ICustomStudent
 
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/studycourse.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/studycourse.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/studycourse.py	(revision 11832)
@@ -27,5 +27,5 @@
 from waeup.kofa.students.workflow import CLEARED, RETURNING, PAID
 from waeup.kofa.students.studycourse import StudentStudyCourse
-from kofacustom.sampleuni.students.interfaces import ICustomStudentStudyCourse
+from kofacustom.pcn.students.interfaces import ICustomStudentStudyCourse
 
 class CustomStudentStudyCourse(StudentStudyCourse):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/studylevel.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/studylevel.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/studylevel.py	(revision 11832)
@@ -28,5 +28,5 @@
     CourseTicketFactory, StudentStudyLevelFactory)
 from waeup.kofa.students.interfaces import IStudentNavigation
-from kofacustom.sampleuni.students.interfaces import (
+from kofacustom.pcn.students.interfaces import (
     ICustomStudentStudyLevel, ICustomCourseTicket)
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/tests/test_browser.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/tests/test_browser.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/tests/test_browser.py	(revision 11832)
@@ -34,4 +34,4 @@
     IExtFileStore, IFileStoreNameChooser)
 from waeup.kofa.students.interfaces import IStudentsUtils
-from kofacustom.sampleuni.testing import FunctionalLayer
+from kofacustom.pcn.testing import FunctionalLayer
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/tests/test_export.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/tests/test_export.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/tests/test_export.py	(revision 11832)
@@ -5,8 +5,8 @@
 from waeup.kofa.schoolgrades import ResultEntry
 from waeup.kofa.students.tests.test_batching import StudentImportExportSetup
-from kofacustom.sampleuni.utils.utils import CustomKofaUtils
-from kofacustom.sampleuni.students.export import (
+from kofacustom.pcn.utils.utils import CustomKofaUtils
+from kofacustom.pcn.students.export import (
     CustomStudentsExporter, CustomStudentPaymentsExporter)
-from kofacustom.sampleuni.testing import FunctionalLayer
+from kofacustom.pcn.testing import FunctionalLayer
 
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/tests/test_student.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/tests/test_student.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/tests/test_student.py	(revision 11832)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.sampleuni.students.student import CustomStudent, CustomStudentFactory
-from kofacustom.sampleuni.students.studycourse import (
+from kofacustom.pcn.students.student import CustomStudent, CustomStudentFactory
+from kofacustom.pcn.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from kofacustom.sampleuni.students.studylevel import (
+from kofacustom.pcn.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from kofacustom.sampleuni.students.interfaces import (
+from kofacustom.pcn.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from kofacustom.sampleuni.testing import FunctionalLayer
+from kofacustom.pcn.testing import FunctionalLayer
 
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/utils.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/utils.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/utils.py	(revision 11832)
@@ -21,5 +21,5 @@
     CLEARED, RETURNING, PAID, REGISTERED, VALIDATED)
 from waeup.kofa.students.utils import StudentsUtils
-from kofacustom.sampleuni.interfaces import MessageFactory as _
+from kofacustom.pcn.interfaces import MessageFactory as _
 
 class CustomStudentsUtils(StudentsUtils):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/viewlets.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/students/viewlets.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/students/viewlets.py	(revision 11832)
@@ -20,5 +20,5 @@
 from waeup.kofa.interfaces import REQUESTED
 from waeup.kofa.browser.viewlets import ManageActionButton
-from kofacustom.sampleuni.students.interfaces import (
+from kofacustom.pcn.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudentStudyLevel)
 from waeup.kofa.students.viewlets import (
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/testing.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/testing.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/testing.py	(revision 11832)
@@ -19,9 +19,9 @@
 """
 import os.path
-import kofacustom.sampleuni
+import kofacustom.pcn
 from zope.app.testing.functional import ZCMLLayer
 
 ftesting_zcml = os.path.join(
-    os.path.dirname(kofacustom.sampleuni.__file__), 'ftesting.zcml')
+    os.path.dirname(kofacustom.pcn.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/tests/test_configuration.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/tests/test_configuration.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/tests/test_configuration.py	(revision 11832)
@@ -25,9 +25,9 @@
 from waeup.kofa.tests.test_configuration import (
     ConfigurationTest, SessionConfigurationFactoryTest)
-from kofacustom.sampleuni.configuration import (
+from kofacustom.pcn.configuration import (
     CustomSessionConfiguration, CustomSessionConfigurationFactory)
-from kofacustom.sampleuni.interfaces import(
+from kofacustom.pcn.interfaces import(
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
-from kofacustom.sampleuni.testing import FunctionalLayer
+from kofacustom.pcn.testing import FunctionalLayer
 
 class ConfigurationTest(ConfigurationTest):
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/tests/test_datacenter.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/tests/test_datacenter.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/tests/test_datacenter.py	(revision 11832)
@@ -18,5 +18,5 @@
 from waeup.kofa.datacenter import DataCenter
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.sampleuni.testing import FunctionalLayer
+from kofacustom.pcn.testing import FunctionalLayer
 
 
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/tests/test_smtp.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/tests/test_smtp.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/tests/test_smtp.py	(revision 11832)
@@ -33,5 +33,5 @@
     send_mail)
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.sampleuni.testing import FunctionalLayer
+from kofacustom.pcn.testing import FunctionalLayer
 
 #
Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/utils/tests.py
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/sampleuni/utils/tests.py	(revision 11831)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/utils/tests.py	(revision 11832)
@@ -17,5 +17,5 @@
 ##
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.sampleuni.testing import FunctionalLayer
+from kofacustom.pcn.testing import FunctionalLayer
 
 