Index: /main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/pages.py
===================================================================
--- /main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/pages.py	(revision 11835)
+++ /main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/pages.py	(revision 11836)
@@ -19,8 +19,11 @@
 from waeup.kofa.browser.pages import (
     SessionConfigurationAddFormPage, SessionConfigurationManageFormPage,
-    LoginPage, CertificatePage, CertificateManageFormPage)
+    LoginPage, CertificatePage, CertificateManageFormPage, DepartmentPage,
+    DepartmentManageFormPage)
 from waeup.kofa.university.interfaces import ICertificate
 from kofacustom.pcn.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
+
+grok.templatedir('templates')
 
 class CustomSessionConfigurationAddFormPage(SessionConfigurationAddFormPage):
@@ -34,2 +37,10 @@
     form_fields = grok.AutoFields(ICustomSessionConfiguration)
 
+class DepartmentPage(DepartmentPage):
+    """Department index page.
+    """
+
+class DepartmentManageFormPage(DepartmentManageFormPage):
+    """Department index page.
+    """
+    grok.template('departmentmanagepage')
Index: /main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/templates/departmentmanagepage.pt
===================================================================
--- /main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/templates/departmentmanagepage.pt	(revision 11836)
+++ /main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/templates/departmentmanagepage.pt	(revision 11836)
@@ -0,0 +1,120 @@
+<form action="." tal:attributes="action request/URL" method="POST"
+      i18n:domain="waeup.kofa" enctype="multipart/form-data">
+  <ul class="tabs nav nav-tabs" data-tabs="tabs">
+    <li class="active">
+      <a href="#tab1" data-toggle="tab">
+      <span i18n:translate="">Settings</span></a>
+    </li>
+    <li>
+      <a href="#tab3"  data-toggle="tab" i18n:translate="">Certificates</a>
+    </li>
+    <li>
+      <a href="#tab4"  data-toggle="tab" i18n:translate="">Local Roles</a>
+    </li>
+  </ul>
+  <div class="tab-content">
+    <div id="tab1" class="active tab-pane">
+      <table class="form-table">
+        <tbody>
+          <tal:widgets content="structure provider:widgets" />
+        </tbody>
+      </table>
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions" tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div>
+    </div>
+    <div id="tab3" class="tab-pane">
+      <br />
+      <table class="kofa-data-table dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;
+            </th>
+            <th i18n:translate="">Code
+            </th>
+            <th i18n:translate="">Title
+            </th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="entry view/getCertificates"> <td>
+            <input type="checkbox" name="val_id"
+                   tal:attributes="value entry/name" /> </td> <td>
+            <a href="" tal:attributes="href entry/url"
+               tal:content="entry/name">Name</a> </td>
+            <td tal:content="entry/container/title"> Title  </td>
+          </tr>
+        </tbody>
+      </table>
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions" tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabthreeactions"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div>
+    </div>
+    <div id="tab4" class="tab-pane"> <br />
+      <table class="kofa-data-table dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;
+            </th>
+            <th i18n:translate="">User Id
+            </th>
+            <th i18n:translate="">Name
+            </th>
+            <th i18n:translate="">Local Role
+            </th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles">
+            <td> <input type="checkbox" name="role_id"
+            tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
+            <td tal:content="entry/user_name"> USERNAME </td>
+            <td tal:content="entry/user_title"> USERTITLE </td>
+            <td tal:content="entry/local_role_title"> LOCAL ROLE </td>
+          </tr>
+        </tbody>
+      </table>
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions" tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabfouractions1"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div> <br /><br />
+      <div class="form-inline">
+        <br />
+        <div class="form-group">
+          <select class="form-control" id="user" name="user">
+            <option tal:repeat="user view/getUsers"
+                    tal:attributes="value user/name">
+            <span tal:replace="user/val/title">USERTITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group">
+          <select class="form-control" id="local_role" name="local_role">
+            <option tal:repeat="localrole view/getLocalRoles"
+                    tal:attributes="value localrole/name">
+            <span tal:replace="localrole/title">LOCALROLETITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group">
+          <div tal:condition="view/availableActions">
+            <span tal:repeat="action view/actions" tal:omit-tag="">
+              <input tal:condition="python:action.label in view.tabfouractions2"
+                     tal:replace="structure action/render"/>
+            </span>
+          </div>
+        </div>
+      </div>
+    </div>
+  </div>
+</form>
Index: /main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/templates/departmentpage.pt
===================================================================
--- /main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/templates/departmentpage.pt	(revision 11836)
+++ /main/kofacustom.pcn/trunk/src/kofacustom/pcn/browser/templates/departmentpage.pt	(revision 11836)
@@ -0,0 +1,22 @@
+<div i18n:domain="waeup.kofa">
+  <table class="kofa-data-table dataTable">
+    <thead>
+      <tr>
+        <th i18n:translate="">Code</th>
+        <th i18n:translate="">Title</th>
+      </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="entry view/getCertificates">
+        <td>
+          <a href=""
+             tal:attributes="href entry/url"
+             tal:content="entry/name">Name</a>
+        </td>
+        <td tal:content="entry/container/title">
+          Title
+        </td>
+      </tr>
+    </tbody>
+  </table>
+</div>