Index: main/kofacustom.pcn/trunk/src/kofacustom/pcn/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/kofacustom.pcn/trunk/src/kofacustom/pcn/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 11836)
+++ main/kofacustom.pcn/trunk/src/kofacustom/pcn/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 11837)
@@ -1,5 +1,5 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: \n"
+"Project-Id-Version: PCN\n"
 "POT-Creation-Date: \n"
 "PO-Revision-Date: \n"
@@ -9,6 +9,273 @@
 "Content-Type: text/plain; charset=iso-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Language: en\n"
+"X-Generator: Poedit 1.6.5\n"
 
 msgid "Academics"
-msgstr "Institutions"
-
+msgstr "Offices"
+
+msgid "Academic Section"
+msgstr "PCN Offices"
+
+msgid "Manage academic section"
+msgstr "Manage offices"
+
+msgid "Search Academic Section"
+msgstr "Search offices"
+
+msgid "Search academic section"
+msgstr "Search offices"
+
+msgid "Add faculty"
+msgstr "Add zonal office"
+
+msgid "Faculties"
+msgstr "Zonal Offices"
+
+msgid "The faculty code chosen already exists."
+msgstr "The zonal office code chosen already exists."
+
+msgid "Manage faculty"
+msgstr "Manage zonal office"
+
+msgid "The code chosen already exists in this faculty."
+msgstr "The code chosen already exists for this zonal office."
+
+msgid "Faculty"
+msgstr "Zonal Office"
+
+msgid "Faculty:"
+msgstr "Zonal Office:"
+
+msgid "Name of faculty"
+msgstr "Name of zonal office"
+
+msgid "Departments"
+msgstr "State Offices"
+
+msgid "Add department"
+msgstr "Add state office"
+
+msgid "Department ${a} added."
+msgstr "State Office ${a} added."
+
+msgid "Manage department"
+msgstr "Manage state office"
+
+msgid "in department"
+msgstr "in state office"
+
+msgid "Department:"
+msgstr "State Office:"
+
+msgid "Department"
+msgstr "State Office"
+
+msgid "Name of department"
+msgstr "Name of state office"
+
+msgid "Category for the grouping of certificates"
+msgstr "Category for the grouping of licenses"
+
+msgid "Courses and Certificates"
+msgstr "Licenses"
+
+msgid "Remove selected certificates"
+msgstr "Remove selected licenses"
+
+msgid "Add certificate"
+msgstr "Add license"
+
+msgid "A certificate with same code already exists: "
+msgstr "A license with same code already exists: "
+
+msgid "Certificate ${a} successfully created."
+msgstr "License ${a} successfully created."
+
+msgid "Edit certificate"
+msgstr "Edit license"
+
+msgid "Add certificate course"
+msgstr "Add service to license"
+
+msgid "Remove selected certificate courses"
+msgstr "Remove selected services in license"
+
+msgid "Manage certificate"
+msgstr "Manage license"
+
+msgid "The chosen certificate course is already part of this certificate."
+msgstr "The chosen service is already part of this license."
+
+msgid "certificate course ${a}_${b} added."
+msgstr "license service ${a}_${b} added."
+
+msgid "Edit certificate course"
+msgstr "Edit license service"
+
+msgid "Current level not available for certificate."
+msgstr "Current level not available for license."
+
+msgid "Certificate"
+msgstr "License"
+
+msgid "Certificates"
+msgstr "Licenses"
+
+msgid "Unnamed Certificate"
+msgstr "Unnamed License"
+
+msgid "Enter unique certificate code which will become part of the URL."
+msgstr "Enter unique license code which will become part of the URL."
+
+msgid "Admitted Course of Study"
+msgstr "Assigned License"
+
+msgid "1st Choice Course of Study"
+msgstr "Desired License"
+
+msgid "Add applicant"
+msgstr "Add registrant"
+
+msgid "Create application record"
+msgstr "Create registrant record"
+
+msgid "Applicant record created."
+msgstr "Registrant record created"
+
+msgid "Applicant"
+msgstr "Registrant"
+
+msgid "Applicants"
+msgstr "Registrants"
+
+msgid "${a} <br /> Application Record ${b}"
+msgstr "${a} <br /> Registrant Record ${b}"
+
+msgid "No application record found."
+msgstr "No registrant record found."
+
+msgid "Manage application section"
+msgstr "Manage registrant section"
+
+msgid "Applicant Id"
+msgstr "Registrant Id"
+
+msgid "${a} <br /> Application Form ${b}"
+msgstr "${a} <br /> Registrant Data Form ${b}"
+
+msgid "Application Section"
+msgstr "Registrant Section"
+
+msgid "Application State"
+msgstr "Registration State"
+
+msgid "Application Transition:"
+msgstr "Registration Transition:"
+
+msgid "Application Number"
+msgstr "Registrant Number"
+
+msgid "Create Application Records"
+msgstr "Create Registrant Records"
+
+msgid "Update Application Records"
+msgstr "Update Registrant Records"
+
+msgid "Application Target"
+msgstr "Registration Target"
+
+msgid "Application Mode"
+msgstr "Registration Mode"
+
+msgid "Application Period"
+msgstr "Registration Period"
+
+msgid "Application Start Date"
+msgstr "Registration Start Date"
+
+msgid "Application Closing Date"
+msgstr "Registration Closing Date"
+
+msgid "Application Fee"
+msgstr "Registration Fee"
+
+msgid "Application Record"
+msgstr "Registrant Record"
+
+msgid "Register for application"
+msgstr "Subscribe"
+
+msgid "View application record"
+msgstr "View"
+
+msgid "Manage application record"
+msgstr "Manage registrant record"
+
+msgid "Edit application record"
+msgstr "Edit registrant record"
+
+msgid "Application"
+msgstr "Registration"
+
+msgid "Find applicants"
+msgstr "Find registrants"
+
+msgid "Add applicants container"
+msgstr "Add registrants container"
+
+msgid "Applicants Containers"
+msgstr "Registrants Containers"
+
+msgid "Manage applicants container"
+msgstr "Manage registrants container"
+
+msgid "Export applicants"
+msgstr "Export registrants"
+
+msgid "Find applicant"
+msgstr "Find registrant"
+
+msgid "Year of Entrance"
+msgstr "Year of Registration"
+
+msgid ""
+"Dear ${a},\n"
+"\n"
+"${b}\n"
+"Student Registration and Information Portal of\n"
+"${c}.\n"
+"\n"
+"Your user name: ${d}\n"
+"Your password: ${e}\n"
+"${f}\n"
+"\n"
+"Please remember your user name and keep\n"
+"your password secret!\n"
+"\n"
+"Please also note that passwords are case-sensitive.\n"
+"\n"
+"Regards\n"
+msgstr ""
+"Dear ${a},\n"
+"\n"
+"${b}\n"
+"Customer Registration and Information Portal of\n"
+"${c}.\n"
+"\n"
+"Your user name: ${d}\n"
+"Your password: ${e}\n"
+"${f}\n"
+"\n"
+"Please remember your user name and keep\n"
+"your password secret!\n"
+"\n"
+"Please also note that passwords are case-sensitive.\n"
+"\n"
+"Regards\n"
+
+msgid "Kofa - Student Management System"
+msgstr "Kofa - Online Registration System (Demo Version)"
+
+msgid "WAeUP.Kofa - Student Management System"
+msgstr "WAeUP.Kofa - Online Registration System (Demo Version)"